<?xml version="1.0" encoding="utf-8"?>
<configuration>
    <configSections>
        <section name="log4net" type="log4net.Config.Log4NetConfigurationSectionHandler, log4net" />
        <sectionGroup name="userSettings" type="System.Configuration.UserSettingsGroup, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
            <section name="IW.ER01Installer.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" allowExeDefinition="MachineToLocalUser" requirePermission="false" />
        </sectionGroup>
    </configSections>
    <startup> 
        <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.5" />
    </startup>
  <appSettings>
    <add key="MixPanelApiToken" value="644e264464b9d1c3f3b228faf3b24749" />
    <add key="IntercomApiToken" value="dG9rOjAxM2NmOTRkXzQ5N2JfNDI0ZF84MWM3X2I1Y2UzZjhkODE2NDoxOjA=" />
    <add key="ItunesConfigurl" value="https://www.enigma-recovery.com/software/er01installer/itunes/iTunes.xml" />
    <add key="ProductName" value="Enigma" />
  </appSettings>
  <runtime>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="log4net" publicKeyToken="669e0ddf0bb1aa2a" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-2.0.8.0" newVersion="2.0.8.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="CommonServiceLocator" publicKeyToken="489b6accfaf20ef0" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-2.0.3.0" newVersion="2.0.3.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Newtonsoft.Json" publicKeyToken="30ad4fe6b2a6aeed" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-11.0.0.0" newVersion="11.0.0.0" />
      </dependentAssembly>
    </assemblyBinding>
  </runtime>
  <!-- Log4net Logging Setup -->
  <log4net>
    <appender name="FileAppender" type="log4net.Appender.FileAppender,log4net">
      <file type="log4net.Util.PatternString" value="%envFolderPath{LocalApplicationData}\\EnigmaDigital\\Installer.log" />
      <appendToFile value="true" />
      <lockingModel type="log4net.Appender.FileAppender+MinimalLock" />
      <layout type="log4net.Layout.PatternLayout">
        <conversionPattern value="%date [%thread] [%level] %logger - %message%newline" />
      </layout>
      <filter type="log4net.Filter.LevelRangeFilter">
        <levelMin value="INFO" />
        <levelMax value="FATAL" />
      </filter>
    </appender>
    <root>
      <level value="INFO" />
      <appender-ref ref="FileAppender" />
    </root>
  </log4net>
  <userSettings>
    <IW.ER01Installer.Properties.Settings>
      <setting name="DefaultLanguage" serializeAs="String">
        <value>en-US</value>
      </setting>
      <setting name="IsInstallationRequested" serializeAs="String">
        <value>True</value>
      </setting>
      <setting name="IsSoftwareInstanceRunning" serializeAs="String">
        <value>False</value>
      </setting>
      <setting name="IsUpdateRequested" serializeAs="String">
        <value>False</value>
      </setting>
      <setting name="InstallationHasFailed" serializeAs="String">
        <value>False</value>
      </setting>
    </IW.ER01Installer.Properties.Settings>
  </userSettings>
</configuration>